This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 857017 - spurious mouse clicks and screen corruption around mouse pointer
spurious mouse clicks and screen corruption around mouse pointer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 07:51 EDT by Pádraig Brady
Modified: 2014-02-05 07:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:10:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log (86.32 KB, text/plain)
2012-09-13 07:51 EDT, Pádraig Brady
no flags Details
T510 X org info (32.49 KB, text/plain)
2012-09-18 12:23 EDT, Pádraig Brady
no flags Details

  None (edit)
Description Pádraig Brady 2012-09-13 07:51:11 EDT
Created attachment 612418 [details]
Xorg log

I booted and installed Fedora 18 Alpha RC3 to a VM.
Note that doesn't support currently support cirrus video,
so I used 'vga' for the video type in the VM.

Install works fine, and system works fine until
the "screen saver" Kicks in. after dragging that away,
the spurious clicks and screen corruption starts happening.

Note the Xorg.0.log attached says vmmouse is being used,
and there was a backtrace also, but note this backtrace
happened some time before the corruption issues, so
I'm not sure it's directly related.

EE) Backtrace:
(EE) 0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x46c266]
(EE) 1: /usr/bin/Xorg (LogVMessageVerb+0x8c) [0x47007c]
(EE) 2: /usr/bin/Xorg (xf86Msg+0x8f) [0x495edf]
(EE) 3: /usr/lib64/xorg/modules/input/vmmouse_drv.so (0x7fb2092cd000+0x18b2) [0>
(EE) 4: /usr/lib64/xorg/modules/input/vmmouse_drv.so (0x7fb2092cd000+0x190c) [0>
(EE) 5: /usr/bin/Xorg (0x400000+0x89307) [0x489307]
(EE) 6: /usr/bin/Xorg (0x400000+0xb2838) [0x4b2838]
(EE) 7: /lib64/libpthread.so.0 (0x7fb210264000+0xf000) [0x7fb210273000]
(EE) 8: /lib64/libc.so.6 (__select+0x13) [0x7fb20eda1b33]
(EE) 9: /usr/bin/Xorg (WaitForSomething+0x190) [0x4697e0]
(EE) 10: /usr/bin/Xorg (0x400000+0x39271) [0x439271]
(EE) 11: /usr/bin/Xorg (0x400000+0x2805a) [0x42805a]
(EE) 12: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fb20ecd8a05]
(EE) 13: /usr/bin/Xorg (0x400000+0x2839d) [0x42839d]
Comment 1 Pádraig Brady 2012-09-18 12:19:21 EDT
Just installed to a separate T510 (Xorg.0.log attached).
Had a similar issue.

Again nnly after "screen saver" kicks in,
and you drag to remove, "bad things happen".
In this case the screen goes blank.
Comment 2 Pádraig Brady 2012-09-18 12:23:32 EDT
Created attachment 614055 [details]
T510 X org info
Comment 3 Pádraig Brady 2012-09-18 12:59:56 EDT
Note using the "Esc" key to remove the screen lock rather than swiping,
causes no corruption issues
Comment 4 Fedora End Of Life 2013-12-21 03:52:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 07:10:58 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.